# services/maintenance/node-ops/kustomization.yaml
apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
namespace: maintenance
resources:
  - disable-k3s-traefik-serviceaccount.yaml
  - disable-k3s-traefik-rbac.yaml
  - k3s-traefik-cleanup-rbac.yaml
  - node-nofile-serviceaccount.yaml
  - titan-24-docker-serviceaccount.yaml
  - pod-cleaner-rbac.yaml
  - disable-k3s-traefik-daemonset.yaml
  - node-nofile-daemonset.yaml
  - rpi-resource-reservation-daemonset.yaml
  - metis-sentinel-amd64-daemonset.yaml
  - metis-sentinel-arm64-daemonset.yaml
  - k3s-agent-restart-daemonset.yaml
  - titan-24-docker-daemonset.yaml
  - titan-22-link-keeper-daemonset.yaml
  - node-image-sweeper-serviceaccount.yaml
  - node-image-sweeper-daemonset.yaml
  - image-sweeper-cronjob.yaml
  - pod-cleaner-cronjob.yaml
configMapGenerator:
  - name: disable-k3s-traefik-script
    namespace: maintenance
    files:
      - disable_k3s_traefik.sh=scripts/disable_k3s_traefik.sh
    options:
      disableNameSuffixHash: true
  - name: k3s-traefik-cleanup-script
    namespace: maintenance
    files:
      - k3s_traefik_cleanup.sh=scripts/k3s_traefik_cleanup.sh
    options:
      disableNameSuffixHash: true
  - name: node-nofile-script
    namespace: maintenance
    files:
      - node_nofile.sh=scripts/node_nofile.sh
    options:
      disableNameSuffixHash: true
  - name: node-image-sweeper-script
    namespace: maintenance
    files:
      - node_image_sweeper.sh=scripts/node_image_sweeper.sh
    options:
      disableNameSuffixHash: true
  - name: titan-24-docker-script
    namespace: maintenance
    files:
      - titan_24_docker.sh=scripts/titan_24_docker.sh
    options:
      disableNameSuffixHash: true
  - name: rpi-resource-reservation-script
    namespace: maintenance
    files:
      - rpi_resource_reservation.sh=scripts/rpi_resource_reservation.sh
    options:
      disableNameSuffixHash: true
